# Domains API Usage (https://developer.godaddy.com/en/docs/references/rest/domains/v2/domains-api-usage)

***

title: Domains API Usage
description: >-
Retrieve monthly API request usage counts for your account. Data is retained
for three months.
full: true
\_openapi:
method: GET
toc: \[]
structuredData:
headings: \[]
contents:

* content: >-
  Returns monthly API request counts for the account. Data is retained
  for three months.

***

## GET /v2/domains/usage/{yyyymm}

Retrieve api usage request counts for a specific year/month.  The data is retained for a period of three months.

Returns monthly API request counts for the account. Data is retained for three months.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `yyyymm` | string | yes | The year/month timeframe for the request counts (in the format yyyy-mm) |

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `includes` | array | no | Determines if the detail records (grouped by request path) are included in the response |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Request-Id` | string | no | A client provided identifier for tracking this request. |

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- object
  - `details`: array — List of total request counts per endpoint.
      - items:
          - `path` (required): string — The api path for the requests
          - `total` (required): integer — The total number of requests in the month for the request path.
  - `quota`: integer — The total number of allowed requests in the month.  See https://developer.godaddy.com/getstarted for more information on api quotas and access limits.
  - `total` (required): integer — The total number of requests in the month.
  - `yyyymm` (required): string — The year/month timeframe for the request counts (in the format yyyy-mm)

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error
  - `retryAfterSec` (required): integer <integer-positive> — Number of seconds to wait before attempting a similar request

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to a field containing an error, or a field that refers to an
          - `pathRelated`: string <json-path> — JSONPath referring to a field containing an error, which is referenced by `path`
  - `message`: string — Human-readable, English description of the error

**Security:** requires `bearerAuth`.
